"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const renaming_rule_1 = require("../../utils/renaming-rule");
const renames = {
    // SERVER
    'NgxIsrModule': '@rx-angular/isr/server',
    'provideISR': '@rx-angular/isr/server',
    'ISRHandler': '@rx-angular/isr/server',
    'FileSystemCacheHandler': '@rx-angular/isr/server',
    'FileSystemCacheOptions': '@rx-angular/isr/server',
    // BROWSER
    'NgxIsrService': '@rx-angular/isr/browser',
    // MODELS
    'CacheHandler': '@rx-angular/isr/models',
    'CacheISRConfig': '@rx-angular/isr/models',
    'ISROptions': '@rx-angular/isr/models',
    'CacheData': '@rx-angular/isr/models',
    'INgxIsrService': '@rx-angular/isr/models',
    'NgxIsrState': '@rx-angular/isr/models',
    'ISRHandlerConfig': '@rx-angular/isr/models',
    'InvalidateConfig': '@rx-angular/isr/models',
    'RenderConfig': '@rx-angular/isr/models',
    'ServeFromCacheConfig': '@rx-angular/isr/models',
    'RouteISRConfig': '@rx-angular/isr/models',
};
const classRenames = {
    'NgxIsrModule': 'IsrModule',
    'NgxIsrService': 'IsrService',
    'NgxIsrState': 'IsrState',
    'INgxIsrService': 'IsrServiceInterface'
};
exports.default = (0, renaming_rule_1.renamingRule)(['ngx-isr/models', 'ngx-isr/server', 'ngx-isr/browser'], renames, classRenames);
