import { CacheData, CacheHandler, CacheISRConfig } from 'ngx-isr/models';
export interface FileSystemCacheOptions {
    cacheFolderPath: string;
    prerenderedPagesPath?: string;
    addPrerenderedPagesToCache?: boolean;
}
interface FileSystemCacheData {
    htmlFilePath: string;
    options: CacheISRConfig;
    createdAt: number;
}
export declare class FileSystemCacheHandler extends CacheHandler {
    options: FileSystemCacheOptions;
    protected cache: Map<string, FileSystemCacheData>;
    private get cacheFolderPath();
    constructor(options: FileSystemCacheOptions);
    add(route: string, html: string, config?: CacheISRConfig): Promise<void>;
    get(route: string): Promise<CacheData>;
    has(route: string): Promise<boolean>;
    delete(route: string): Promise<boolean>;
    getAll(): Promise<string[]>;
    private populateCacheFromFilesystem;
    clearCache(): Promise<boolean>;
    private addPrerenderedPagesToCache;
    private transferPrerenderedPagesToCacheFolder;
    private readFromFile;
}
export {};
