import { HttpErrorResponse } from '@angular/common/http';
import { INgxIsrService, NgxIsrState } from 'ngx-isr/models';
import * as i0 from "@angular/core";
export declare class NgxIsrServerService implements INgxIsrService {
    private readonly router;
    private state;
    getState(): NgxIsrState;
    patchState(partialState: Partial<NgxIsrState>): void;
    getExtra(): Record<string, any>;
    /**
     * Activate the service and listen to router events
     * @returns void
     */
    activate(): void;
    /**
     * Add error to the state
     * @param error HttpErrorResponse
     * @returns void
     * @example
     * ```typescript
     * this.isrService.addError(err);
     * ```
     */
    addError(error: HttpErrorResponse | Error): void;
    /**
     * Add extra data to the state
     * @param extra Record<string, any>
     * @returns void
     * @example
     * ```typescript
     * this.isrService.addExtra({ foo: 'bar' });
     * ```
     */
    addExtra(extra?: Record<string, any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxIsrServerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxIsrServerService>;
}
